v1.0
get
/ec-codelist-svc/rest/v1.0/codelist/search
View historical changes to codelists for a given name and (optionally) study.
Request
Query Parameters
-
name(required): string
Required. Codelist name.Example:
AE_SEVERITY -
studyId(required): string(uuid)
Required. Unique identifier (UUID, 32-character uppercase hexadecimal string) of a study.Example:
B1B8327AFAA6412287106192AB5984EF
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Root Schema : Code
Type:
Show Source
object-
canAddValues: boolean
Whether values can be added.Example:
true -
canHideValues: boolean
Whether values can be hidden.Example:
true -
codeGroupId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the codelist group.Example:
B1B8327AFAA6412287106192AB5984EF -
codeLevel: string
Minimum Length:
1Maximum Length:32Codelist code level.Example:SYSTEM -
codeName: string
Minimum Length:
1Maximum Length:255Codelist code name.Example:AE_SEVERITY -
codeType: string
Minimum Length:
1Maximum Length:255Codelist code type.Example:SYSTEM -
comment: string
Comment.Example:
Updated description -
customizable: boolean
Whether this code is customizable.Example:
false -
description: string
Minimum Length:
1Maximum Length:4000Codelist description.Example:Severity of adverse event. -
displayCodeName: string
Display name for the codelist.Example:
AE Severity -
id: string
Required. Study identifier used to scope the codelist request. Use a UUID represented as a 32-character uppercase hexadecimal string.Example:
B1B8327AFAA6412287106192AB5984EF -
objectVersionNumber: number
Object version number.Example:
1 -
operationType: string
Minimum Length:
1Maximum Length:16Operation type.Example:CREATED -
optlock: string
(date-time)
Optimistic lock timestamp.Example:
2026-03-03T17:50:51.48Z -
parCodeName: string
Minimum Length:
1Maximum Length:255Parent codelist code name.Example:AE -
reason: string
Reason for change.Example:
Updating codelist -
softwareVersionNumber: number
Software version number.Example:
1 -
tag: string
Minimum Length:
1Maximum Length:32767Tag for the codelist.Example:safety -
tenantLevelOnly: boolean
Whether this codelist is tenant-level only.Example:
false -
userId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the user.Example:
B1B8327AFAA6412287106192AB5984EF -
versionEnd: string
(date-time)
Version end timestamp.Example:
3099-12-31T00:00:00Z -
versionStart: string
(date-time)
Version start timestamp.Example:
2026-03-03T12:20:51.409Z
Examples
400 Response
Invalid request URL.
Root Schema : CodeListResponseV1.0
Type:
objectTitle:
CodeListResponseV1.0Standard codelist service response envelope.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Response result.
-
status: string
Response status.Example:
success
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResponse result.
Example:
{
}Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples
500 Response
Internal server error
Root Schema : CodeListResponseV1.0
Type:
objectTitle:
CodeListResponseV1.0Standard codelist service response envelope.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Response result.
-
status: string
Response status.Example:
success
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResponse result.
Example:
{
}Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples